> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a view

> Get a single view by id.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/views/{view_id}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/views/{view_id}:
    get:
      tags:
        - Orgs Views
      summary: Get a view
      description: Get a single view by id.
      parameters:
        - schema:
            type: string
          required: true
          description: Org ID
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: View ID
          name: view_id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TableViewSchema'
components:
  schemas:
    TableViewSchema:
      type: object
      properties:
        id:
          type: string
        table_id:
          type: string
        table_type:
          $ref: '#/components/schemas/TableTypeSchema'
        name:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        color:
          allOf:
            - $ref: '#/components/schemas/ColorNameSchema'
            - type:
                - string
                - 'null'
        kind:
          $ref: '#/components/schemas/TableViewKindSchema'
        config:
          $ref: '#/components/schemas/TableViewConfigSchema'
        sort:
          $ref: '#/components/schemas/TableViewSortSchema'
        filter:
          $ref: '#/components/schemas/NullableFilterSchema'
        position:
          type: integer
        is_default:
          type: boolean
        show_in_sidebar:
          type: boolean
        archived:
          type: boolean
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - table_id
        - table_type
        - name
        - description
        - color
        - kind
        - config
        - sort
        - filter
        - position
        - is_default
        - show_in_sidebar
        - archived
        - created_at
        - updated_at
    TableTypeSchema:
      type: string
      enum:
        - custom
        - contacts
        - chats
        - users
    ColorNameSchema:
      type: string
      enum:
        - red
        - orange
        - amber
        - yellow
        - lime
        - green
        - teal
        - cyan
        - sky
        - blue
        - indigo
        - violet
        - purple
        - fuchsia
        - pink
        - rose
        - neutral
      description: The name of the color to use in the UI
    TableViewKindSchema:
      type: string
      enum:
        - table
        - board
        - calendar
        - timeline
        - list
        - gallery
    TableViewConfigSchema:
      type: object
      properties:
        shared:
          $ref: '#/components/schemas/TableViewSharedConfigSchema'
        board:
          $ref: '#/components/schemas/TableViewBoardConfigSchema'
        table:
          $ref: '#/components/schemas/TableViewTableConfigSchema'
        calendar:
          $ref: '#/components/schemas/TableViewCalendarConfigSchema'
        timeline:
          $ref: '#/components/schemas/TableViewTimelineConfigSchema'
        list:
          $ref: '#/components/schemas/TableViewListConfigSchema'
        gallery:
          $ref: '#/components/schemas/TableViewGalleryConfigSchema'
    TableViewSortSchema:
      type:
        - object
        - 'null'
      properties:
        key:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^[a-z][a-z0-9_]{0,63}$
        direction:
          type: string
          enum:
            - asc
            - desc
      required:
        - key
        - direction
    NullableFilterSchema:
      anyOf:
        - $ref: '#/components/schemas/FilterRuleSchema'
        - $ref: '#/components/schemas/FilterGroupSchema'
        - type: 'null'
    TableViewSharedConfigSchema:
      type: object
      properties:
        open_items_in:
          type: string
          enum:
            - side_peek
            - center_peek
            - full_page
    TableViewBoardConfigSchema:
      type: object
      properties:
        key:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^[a-z][a-z0-9_]{0,63}$
        hide_empty_groups:
          type: boolean
        card_fields:
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 64
            pattern: ^[a-z][a-z0-9_]{0,63}$
        columns:
          type: array
          items:
            $ref: '#/components/schemas/TableViewBoardColumnSchema'
          maxItems: 512
        date:
          $ref: '#/components/schemas/TableViewBoardDateConfigSchema'
        number:
          $ref: '#/components/schemas/TableViewBoardNumberConfigSchema'
        card_color:
          $ref: '#/components/schemas/TableViewBoardCardColorSchema'
    TableViewTableConfigSchema:
      type: object
      properties:
        columns:
          type: array
          items:
            $ref: '#/components/schemas/TableViewTableColumnSchema'
          maxItems: 106
    TableViewCalendarConfigSchema:
      type: object
      properties:
        key:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^[a-z][a-z0-9_]{0,63}$
        show_as:
          type: string
          enum:
            - month
            - week
        show_weekends:
          type: boolean
    TableViewTimelineConfigSchema:
      type: object
      properties:
        key:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^[a-z][a-z0-9_]{0,63}$
        end_key:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^[a-z][a-z0-9_]{0,63}$
    TableViewListConfigSchema:
      type: object
      properties:
        fields:
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 64
            pattern: ^[a-z][a-z0-9_]{0,63}$
          description: >-
            Fields shown inline on each row beside the title. Array order is
            display order.
    TableViewGalleryConfigSchema:
      type: object
      properties:
        cover_key:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^[a-z][a-z0-9_]{0,63}$
        fit:
          type: string
          enum:
            - cover
            - contain
          description: How the cover fills the card frame.
        size:
          type: string
          enum:
            - small
            - medium
            - large
          description: Card size, mapped to grid cell dimensions on the FE.
        card_fields:
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 64
            pattern: ^[a-z][a-z0-9_]{0,63}$
          description: >-
            Fields shown on each card below the title. Array order is display
            order.
    FilterRuleSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - rule
        key:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^[a-z][a-z0-9_]{0,63}$
        operator:
          $ref: '#/components/schemas/FilterOperatorSchema'
        value: {}
      required:
        - type
        - key
        - operator
    FilterGroupSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - group
        combinator:
          $ref: '#/components/schemas/FilterCombinatorSchema'
        children:
          type: array
          items:
            $ref: '#/components/schemas/FilterSchema'
      required:
        - type
        - combinator
        - children
    TableViewBoardColumnSchema:
      type: object
      properties:
        key:
          type: string
          minLength: 1
          maxLength: 256
        visible:
          type: boolean
      required:
        - key
        - visible
    TableViewBoardDateConfigSchema:
      type: object
      properties:
        granularity:
          $ref: '#/components/schemas/TableViewBoardDateConfigGranularitySchema'
        sort:
          $ref: '#/components/schemas/TableViewBoardDateConfigSortSchema'
    TableViewBoardNumberConfigSchema:
      type: object
      properties:
        from:
          type: number
        to:
          type: number
        step:
          type: number
          exclusiveMinimum: 0
        sort:
          type: string
          enum:
            - asc
            - desc
    TableViewBoardCardColorSchema:
      type: string
      enum:
        - none
        - bordered
        - background
      description: How board cards are tinted by their group color.
    TableViewTableColumnSchema:
      type: object
      properties:
        key:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^[a-z][a-z0-9_]{0,63}$
        visible:
          type: boolean
        sticky:
          type: boolean
        width:
          type: integer
          minimum: 30
          maximum: 2000
      required:
        - key
        - visible
        - sticky
    FilterOperatorSchema:
      type: string
      enum:
        - contains
        - not_contains
        - eq
        - neq
        - gt
        - lt
        - gte
        - lte
        - before
        - after
        - on_or_before
        - on_or_after
        - in
        - not_in
        - is_empty
        - is_not_empty
    FilterCombinatorSchema:
      type: string
      enum:
        - and
        - or
    FilterSchema:
      anyOf:
        - $ref: '#/components/schemas/FilterRuleSchema'
        - $ref: '#/components/schemas/FilterGroupSchema'
    TableViewBoardDateConfigGranularitySchema:
      type: string
      enum:
        - relative
        - day
        - week
        - month
        - year
      description: Granularity for the date buckets.
    TableViewBoardDateConfigSortSchema:
      type: string
      enum:
        - oldest_first
        - newest_first
      description: Sort order for the date buckets.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````